<template>
	<view class="container">
		<view class="img">
			<img src="../../static/no-bus.png">
		</view>
		<view class="info">
			{{info}}
		</view>
	</view>
</template>

<script setup>
	import {
		ref
	} from "vue"

	import {
		onLoad
	} from "@dcloudio/uni-app"

	import {
		getQueryString
	} from "../../util/getParams.js"

	const info = ref('')

	onLoad(() => {
		getMessage()
	})

	const getMessage = () => {
		const message = getQueryString('message')
		if (message) {
			info.value = message
		} else {
			info.value = '404'
		}
	}
</script>

<style lang="scss" scoped>
	.container {
		display: flex;
		flex-direction: column;
		align-items: center;

		.img {
			margin-top: 200rpx;
			width: 480rpx;
			height: 508rpx;

			img {
				width: 100%;
				height: 100%;
			}
		}

		.info {
			padding: 0 30rpx;
		}
	}
</style>